/* Configurações Globais e Cores */
:root {
    --rosa-principal: #FA8EBE;
    --rosa-escuro: #B24877;
    --verde-claro: #8FBFAB;
    --verde-medio: #749C84;
    --verde-escuro: #10885A;
    --fundo-claro: #ECECEC;
    --branco: #FFFFFF;
    --cinza-fundo: #BCBAB9;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Segoe UI', sans-serif;
}

header {
    background-color: var(--branco);
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    padding: 10px 0;
    top: 0;
    z-index: 1000;
}

.container-header {
    max-width: 1600px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;

}
.logo img{
    height: 80px;
    width: auto;
}
.menu {
    display: flex;         
    list-style: none;     
    margin: 0;
    padding: 0;
}

.menu li {
    margin-left: 30px;    
}


.menu li a {
    text-decoration: none;
    color: var(--verde-escuro);
    font-weight: 600;
    transition: color 0.3s;
}
body {
    background-color: var(--fundo-claro);
    color: #333;
}

.hero{
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    justify-items: center;
    text-align: center;
    background-color: var(--verde-claro);
    background: linear-gradient(rgba(255,255,255,0.7), rgba(255,255,255,0.7)), url('fundo.jpg');
    background-size: cover;
    background-position: center;
}

.hero-content h1{
    font-family: "Quicksand", sans-serif;
    font-weight: 300;
    letter-spacing: 2px;
    text-transform: uppercase;
    font-size: 4rem;
    color: var(--verde-escuro);
    margin-bottom: 10px;
}

.hero-content h2{
    font-family: 'Quicksand',sans-serif;
    color: var(black);
    font-weight: 400;
    margin-bottom: 20px;
}

.btn-agendar {
    display: inline-block;
    padding: 15px 30px;
    background-color: var(--verde-escuro);
    color: white;
    text-decoration: none;
    border-radius: 30px;
    font-weight: bold;
    margin-top: 20px;
    transition: transform 0.3s, background-color 0.3s;
}

.btn-agendar:hover {
    background-color: var(--rosa-principal);
    transform: scale(1.05);
}

.servicos {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 50px 20px;
    background-color: var(--branco);
}

.card {
    padding: 40px;
    border-radius: 15px;
    text-align: center;
    color: white;
    width: 300px;
    transition: transform 0.3s;
}

.card:hover{
    transform: translate(-10px);
}

.card-pilates{
    background-color: var(--rosa-principal);
}

.card-fisio{
    background-color: var(--verde-claro);
}

.card h3{
    margin-bottom: 15px;
    font-size: 1.5rem;
}
.sobre {
    padding: 80px 20px;
    background-color: var(--branco);
}

.container-sobre {
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    gap: 50px;
}

.sobre-img img {
    width: 350px;
    border-radius: 20px;
    box-shadow: 20px 20px 0 var(--verde-claro);
}

.sobre-texto{
    font-family: 'Quicksando', sans-serif;
    color: var(--verde-escuro);
    margin-bottom: 20px;
    font-size: 1.8rem;
}

/* ----Roda pé-----*/

footer{
    background-color: var(--verde-escuro);
    color: var(--branco);
    padding: 50px 0 20px 0;
}

.container-footer {
    max-width: 1400px; /* Aumentado para permitir que os itens se espalhem mais */
    margin: 0 auto;
    display: flex;
    justify-content: space-between; /* Empurra os itens para as extremidades */
    align-items: flex-start;
    padding: 0 50px; /* Mais espaço nas laterais internas */
    flex-wrap: wrap;
    gap: 80px; /* Espaço generoso entre o Instagram e o Horário */
}

.footer-info h3, .footer-mapa h3{
    font-family: 'Quicksand', sans-serif;
    margin-bottom: 15px;
    color: var(--rosa-principal);
}

.footer-info p, .footer-mapa p{
    margin-bottom: 8px;
    font-family: 'Quicksand', sans-serif;
}

.redes-sociais a{
    color: var(--branco);
    text-decoration: none;
    font-weight: bold;
    border: 1px solid var(--branco);
    padding: 5px 15px;
    border-radius: 20px;
    transition: 0.3s;
    display: inline-block;
    margin-top: 20px;
}
.redes-sociais a:hover{
    background-color: var(--rosa-principal);
    border-color: var(--rosa-principal);
}

.footer-copy{
    text-align: center;
    margin-top: 15px;
    padding-top: 20px;
    border-top: 1 px solid rgba(255,255,255,0.1);
    font-size: 0.9rem;
}

.whatsapp-float{
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 40px;
    right: 40px;
    background-color: #25d366;
    color: #fff;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    box-shadow: 2px 2px 10px rgba(0,0,0,0.2);
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
}

.whatsapp-float:hover{
    transform: scale(1.1);
}

.whatsapp-float img {
    width: 35px;
}

@media (max-width: 768px){
    .container-header, .container-sobre, .container-footer{
        flex-direction: column;
        text-align: center;
    }
    .menu-top{
        margin-top: 20px;
    }
    .menu li{
        margin: 0 10px;
    }
}

html{
    scroll-behavior: smooth;
}